> ## Documentation Index
> Fetch the complete documentation index at: https://docs.indxco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ACH Requests

> GET ACH requests..



## OpenAPI

````yaml GET /partner/clover/ach/{account_id}
openapi: 3.1.0
info:
  title: INDX-api
  description: |2-

        Welcome to the INDX API!
        
  version: 0.1.0
servers: []
security: []
paths:
  /partner/clover/ach/{account_id}:
    get:
      tags:
        - Clover
      summary: Get Ach Requests
      description: GET ACH requests..
      operationId: get_ach_requests_partner_clover_ach__account_id__get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
        - name: reference_id
          in: query
          required: false
          schema:
            type: string
            title: Reference Id
            description: Reference ID
          description: Reference ID
        - name: source
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Source
        - name: X-API-SIGNATURE
          in: header
          required: true
          schema:
            type: string
            description: Signature header
            title: X-Api-Signature
          description: Signature header
        - name: X-API-TIMESTAMP
          in: header
          required: true
          schema:
            type: integer
            description: Timestamp header
            title: X-Api-Timestamp
          description: Timestamp header
        - name: X-API-NONCE
          in: header
          required: true
          schema:
            type: string
            description: Nonce header
            title: X-Api-Nonce
          description: Nonce header
        - name: X-API-SUBSCRIPTION-KEY
          in: header
          required: true
          schema:
            type: string
            description: Account ID header
            title: X-Api-Subscription-Key
          description: Account ID header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ResponseSchema_List_GetAchgRequestsResponse__
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ResponseSchema_List_GetAchgRequestsResponse__:
      properties:
        message:
          type: string
          title: Message
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/GetAchgRequestsResponse'
              type: array
            - type: 'null'
          title: Data
      type: object
      required:
        - message
      title: ResponseSchema[List[GetAchgRequestsResponse]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GetAchgRequestsResponse:
      properties:
        reference_id:
          type: string
          title: Reference Id
          description: Reference ID
        originating_account_id:
          type: string
          title: Originating Account Id
          description: Originating account ID
        status:
          type: string
          title: Status
          description: Status
        amount:
          anyOf:
            - type: number
            - type: 'null'
          title: Amount
          description: Amount to be transferred
        return_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Return Code
          description: Return code
        return_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Return Description
          description: Return description
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Created at
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Updated at
      type: object
      required:
        - reference_id
        - originating_account_id
        - status
      title: GetAchgRequestsResponse
      description: Schema to serialize the ach transaction response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````